﻿using System.Web.UI.MobileControls;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System;
using System.Collections.Generic;
using RecruitmentAgency.Models.DataProviders;
using RecruitmentAgency.Models.DataTypes;
using Moq;
using System.ServiceModel.Syndication;

namespace RecruitmentAgency.Tests.Models.DataProviders
{
    /// <summary>
    ///This is a test class for CvDataProviderTest and is intended to contain all CvDataProviderTest Unit Tests
    ///</summary>
    [TestClass()]
    public class CvDataProviderTest
    {
        //private Mock<ICvDataProvider> mockCvDataProvider;
        private CvDataProvider target;
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        //protected ICvDataProvider CvDataProvider
        //{
        //    get
        //    {
        //        return new CvDataProvider();
        //    }
        //}

        /// <summary>
        ///Initialises test members
        ///</summary>
        [TestInitialize]
        public void Initialize()
        {
            // create mock CvDataProvider
            // mockCvDataProvider = new Mock<ICvDataProvider>();
            target = new CvDataProvider();
            //mockCvDataProvider.Setup(d => d.SearchCvs(10, 1, -1, -1, string.Empty, string.Empty, string.Empty, string.Empty));
        }

        /// <summary>
        ///A test for UpdateSkills
        ///</summary>
        [TestMethod()]
        public void UpdateSkillsTest()
        {
            // mockCvDataProvider.Setup(d => d.UpdateSkills(new PersonSkill()));
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonSkill personSkill = null; // TODO: Initialize to an appropriate value
            target.UpdateSkills(personSkill);
        }

        /// <summary>
        ///A test for UpdateReferee
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void UpdateRefereeTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonReferee personReferee = null; // TODO: Initialize to an appropriate value
            target.UpdateReferee(personReferee);
        }

        /// <summary>
        ///A test for UpdateQualification
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void UpdateQualificationTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonQualification personQualification = null; // TODO: Initialize to an appropriate value
            target.UpdateQualification(personQualification);
        }

        /// <summary>
        ///A test for UpdatePersonDetails
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void UpdatePersonDetailsTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonalDetail personDetail = null; // TODO: Initialize to an appropriate value
            target.UpdatePersonDetails(personDetail);
        }

        /// <summary>
        ///A test for UpdateEmployment
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void UpdateEmploymentTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonEmployment personEmployment = null; // TODO: Initialize to an appropriate value
            target.UpdateEmployment(personEmployment);
        }

       
        /// <summary>
        ///A test for GetVerificationTypes
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetVerificationTypesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetVerificationTypes();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetUniqueSkillNames
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetUniqueSkillNamesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetUniqueSkillNames();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetUniqueSectorPreferences
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetUniqueSectorPreferencesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetUniqueSectorPreferences();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetUniqueQualificationTypeNames
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetUniqueQualificationTypeNamesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetUniqueQualificationTypeNames();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetUniqueQualificationSubjectNames
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetUniqueQualificationSubjectNamesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetUniqueQualificationSubjectNames();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetTitles
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetTitlesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetTitles();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetSectors
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetSectorsTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetSectors();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetRelationships
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetRelationshipsTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetRelationships();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetQualificationTypes
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetQualificationTypesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetQualificationTypes();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetproficiencyLevels
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetproficiencyLevelsTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetproficiencyLevels();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetPersonSkills
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetPersonSkillsTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int personId = 0; // TODO: Initialize to an appropriate value
            List<PersonSkill> expected = null; // TODO: Initialize to an appropriate value
            List<PersonSkill> actual;
            actual = target.GetPersonSkills(personId);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetPersonReferees
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetPersonRefereesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int personId = 0; // TODO: Initialize to an appropriate value
            List<PersonReferee> expected = null; // TODO: Initialize to an appropriate value
            List<PersonReferee> actual;
            actual = target.GetPersonReferees(personId);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetPersonQualifications
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetPersonQualificationsTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int personId = 0; // TODO: Initialize to an appropriate value
            List<PersonQualification> expected = null; // TODO: Initialize to an appropriate value
            List<PersonQualification> actual;
            actual = target.GetPersonQualifications(personId);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetPersonIdByUsername
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetPersonIdByUsernameTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            string username = string.Empty; // TODO: Initialize to an appropriate value
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            actual = target.GetPersonIdByUsername(username);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetPersonEmployment
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetPersonEmploymentTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int personId = 0; // TODO: Initialize to an appropriate value
            List<PersonEmployment> expected = null; // TODO: Initialize to an appropriate value
            List<PersonEmployment> actual;
            actual = target.GetPersonEmployment(personId);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetPersonByUsername
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetPersonByUsernameTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            string username = string.Empty; // TODO: Initialize to an appropriate value
            PersonalDetail expected = null; // TODO: Initialize to an appropriate value
            PersonalDetail actual;
            actual = target.GetPersonByUsername(username);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetPersonalDetail
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetPersonalDetailTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int personId = 0; // TODO: Initialize to an appropriate value
            PersonalDetail expected = null; // TODO: Initialize to an appropriate value
            PersonalDetail actual;
            actual = target.GetPersonalDetail(personId);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetGrades
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetGradesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetGrades();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetCvRssFeed
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetCvRssFeedTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            string homePageUri = string.Empty; // TODO: Initialize to an appropriate value
            SyndicationFeed expected = null; // TODO: Initialize to an appropriate value
            SyndicationFeed actual;
            actual = target.GetCvRssFeed(homePageUri);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetContactPreferences
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetContactPreferencesTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetContactPreferences();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for GetAuthorityToWork
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void GetAuthorityToWorkTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            List<string> expected = null; // TODO: Initialize to an appropriate value
            List<string> actual;
            actual = target.GetAuthorityToWork();
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for DeleteSkill
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void DeleteSkillTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int skillId = 0; // TODO: Initialize to an appropriate value
            target.DeleteSkill(skillId);
        }

        /// <summary>
        ///A test for DeleteReferee
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void DeleteRefereeTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int refereeId = 0; // TODO: Initialize to an appropriate value
            target.DeleteReferee(refereeId);
        }

        /// <summary>
        ///A test for DeleteQualification
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void DeleteQualificationTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int qualificationId = 0; // TODO: Initialize to an appropriate value
            target.DeleteQualification(qualificationId);
        }

        /// <summary>
        ///A test for DeletePerson
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void DeletePersonTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int personId = 0; // TODO: Initialize to an appropriate value
            target.DeletePerson(personId);
            //Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for DeleteEmployment
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void DeleteEmploymentTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            int employmentId = 0; // TODO: Initialize to an appropriate value
            target.DeleteEmployment(employmentId);
        }

        /// <summary>
        ///A test for AddSkill
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void AddSkillTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonSkill personSkill = null; // TODO: Initialize to an appropriate value
            target.AddSkill(personSkill);
        }

        /// <summary>
        ///A test for AddReferee
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void AddRefereeTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonReferee personReferee = null; // TODO: Initialize to an appropriate value
            target.AddReferee(personReferee);
        }

        /// <summary>
        ///A test for AddQualification
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void AddQualificationTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonQualification personQualification = null; // TODO: Initialize to an appropriate value
            target.AddQualification(personQualification);
        }

        /// <summary>
        ///A test for AddEmployment
        ///</summary>
        // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
        // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
        // whether you are testing a page, web service, or a WCF service.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\Users\\Sheridan\\Documents\\Visual Studio 2008\\Projects\\RecruitmentAgency\\RecruitmentAgency", "/")]
        [UrlToTest("http://localhost:1681/")]
        public void AddEmploymentTest()
        {
            CvDataProvider target = new CvDataProvider(); // TODO: Initialize to an appropriate value
            PersonEmployment personEmployment = null; // TODO: Initialize to an appropriate value
            target.AddEmployment(personEmployment);
        }
    }
}