<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<CvData>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Create
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCv/<%= Model.CurrentUserId %>'" onmouseout="swapBgImage(this)">View CV</div><% if (ViewData["role"].ToString() == "JobSeeker" || ViewData["role"].ToString() == "Admin") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='../Cv/Edit/<%= Model.CurrentUserId %>'" onmouseout="swapBgImage(this)">Edit details</div><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='../Cv/DeleteRecord/<%= Model.CurrentUserId %>'" onmouseout="swapBgImage(this)">Remove details</div><% } %><% if (ViewData["role"].ToString() == "Admin" || ViewData["role"].ToString() == "JobProvider") { %><div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCvs'" onmouseout="swapBgImage(this)">Search CVs</div><% } %>
        <img src="../../Images/RssLogo.png" class="rssLink inline" alt= "Rss logo" onmouseover="swapImage(this)" onmousedown="javascript:location.href='/Cv/CvRssFeed'" onmouseout="swapImage(this)" />
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="cvForm">
        <% Html.RenderPartial("AddPersonalDetails", Model.PersonalDetail); %>
        <% Html.RenderPartial("AddPersonQualification", Model.PersonQualification); %>
        <% Html.RenderPartial("AddPersonEmployment", Model.PersonEmployment); %>
        <% Html.RenderPartial("AddPersonSkill", Model.PersonSkill); %>
        <% Html.RenderPartial("AddPersonReferee", Model.PersonReferee); %>
    </div>
</asp:Content>