<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<PersonalDetail>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Connections - Delete personal details
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <% if (ViewData["role"].ToString() == "Admin" || ViewData["role"].ToString() == "JobProvider") { %><div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCvs'" onmouseout="swapBgImage(this)">Search CVs</div><% } %>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% using (Html.BeginForm(new { UserId = Model.PersonId })) { %>
        <div class="panelTop"></div>
        <div id="panelMiddle" class="padLR20">
            <div class="titleLabel">Delete person</div>
            Are you sure that you want to permanently delete the entry for <%= Model.FirstName %> <%= Model.LastName %>?<br /><br />
            <div class="formColumn">
                <input type="button" class="formButton" value="Cancel delete" onclick="location.href='../Cvs'" />
            </div>
            <div class="formColumn">
                <input type="submit" class="formButton" value="Delete <%= Model.FirstName %> <%= Model.LastName %>" />
            </div>
        </div>
        <div class="panelBottom"></div>
    <% } %>
</asp:Content>