<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonQualification>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, PersonQualificationId = Model.PersonQualificationId })) {%>
        <fieldset>
            <div class="panelTop"></div>
            <div id="qualifications" class="padLR20">
                <div class="titleLabel">Delete qualification</div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="Name">Name:</label>
                    </div>
                    <%= Html.TextBox("QualificationName")%>
                    <div class="formLabel">
                        <label for="Subject">Subject:</label>
                    </div>
                    <%= Html.TextBox("Subject") %>
                    <div class="formLabel">
                        <label for="Type">Type:</label>
                    </div>
                    <%= Html.TextBox("Type")%>
                    <div class="formLabel">
                        <label for="Vocational">Vocational:</label>
                    </div>
                    <%= Html.TextBox("Vocational", Model.Vocational, new { onkeypress = "return false;" })%>
                </div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="AwardedBy">Awarded by:</label>
                    </div>
                    <%= Html.TextBox("AwardedBy")%>
                    <div class="formLabel">
                        <label for="Year">Year:</label>
                    </div>
                    <%= Html.TextBox("Year")%>
                    <div class="formLabel">
                        <label for="Result">Result:</label>
                    </div>
                    <%= Html.TextBox("Result")%>
                    <input name="addReferenceButton" class="formButton" id="addReferenceButton" type="submit" value="Delete selected qualification" />
                </div>
                <div class="formLabel clear">
                    <label for="ReferenceList">Qualifications:</label>
                </div>
                <select name="QualificationList" id="QualificationList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/cv/deleterecord/<%= Model.PersonId %>?personQualificationId=' + this.options[this.selectedIndex].value"> 
                    <% foreach (PersonQualification qualification in (List<PersonQualification>)ViewData["qualifications"])
                       { %>
                        <% if (qualification.PersonQualificationId == Model.PersonQualificationId)
                           { %>
                            <option selected="selected" value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } else { %> 
                            <option value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } %> 
                    <% } %> 
                </select> 
            </div>
            <div class="panelBottom"></div>
        </fieldset>
        <% } %>