<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonSkill>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, PersonSkillId = Model.PersonSkillId })) {%>
        <fieldset>
            <div class="panelTop"></div>
            <div id="skills" class="padLR20">
                <div class="titleLabel">Delete skill</div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="SkillName">Skill name:</label>
                    </div>
                    <%= Html.TextBox("SkillName")%>
                    <div class="formLabel">
                        <label for="YearsExperience">Years experience:</label>
                    </div>
                    <%= Html.TextBox("YearsOfExperience")%>
                </div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="ProficiencyLevel">Proficiency level:</label>
                    </div>
                    <%= Html.TextBox("ProficiencyLevel")%>
                    <input name="addSkillButton" class="formButton" id="Submit1" type="submit" value="Delete selected skill" />
                </div>
                <div class="formLabel">
                    <label for="SkillList">Skill record:</label>
                </div>
                <select name="SkillsList" id="SkillsList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/cv/deleterecord/<%= Model.PersonId %>?personSkillId=' + this.options[this.selectedIndex].value"> 
                    <% foreach (PersonSkill skill in (List<PersonSkill>)ViewData["skills"])
                       { %>
                        <% if (skill.PersonSkillId== Model.PersonSkillId)
                           { %>
                            <option selected="selected" value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                        <% } else { %> 
                            <option value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                        <% } %> 
                    <% } %> 
                </select>
            </div>
            <div class="panelBottom"></div>
        </fieldset>
    <% } %>