<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<CvData>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	ViewCv
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <% if (ViewData["role"].ToString() == "JobSeeker" || ViewData["role"].ToString() == "Admin") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/Edit/<%= Model.CurrentUserId %>'" onmouseout="swapBgImage(this)">Edit details</div><% } %><% if (ViewData["role"] == "JobSeeker") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/Create'" onmouseout="swapBgImage(this)">Add details</div><% } %><% if (ViewData["role"].ToString() == "JobSeeker" || ViewData["role"].ToString() == "Admin") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/DeleteRecord/<%= Model.CurrentUserId %>'" onmouseout="swapBgImage(this)">Remove details</div><% } %><% if (ViewData["role"].ToString() == "Admin" || ViewData["role"].ToString() == "JobProvider") { %><div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCvs'" onmouseout="swapBgImage(this)">Search CVs</div><% } %>
        <img src="../../Images/RssLogo.png" class="rssLink inline" alt= "Rss logo" onmouseover="swapImage(this)" onmousedown="javascript:location.href='/Cv/CvRssFeed'" onmouseout="swapImage(this)" />
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="cv">
        <div class="panelTop"></div>
        <div id="panelMiddle" class="padLR20">
            <% Html.RenderPartial("ViewPersonalDetails", Model.PersonalDetail); %>
            <% Html.RenderPartial("ViewPersonQualifications", Model); %>
            <% Html.RenderPartial("ViewPersonEmployment", Model); %>
            <% Html.RenderPartial("ViewPersonSkills", Model); %>
            <% Html.RenderPartial("ViewPersonReferee", Model); %>
        </div>
        <div class="panelBottom"></div>
        <div class="floatLeft">
            <div id="wordLogo" class="floatRight marginB5 marginL10" title="Click to save your CV to a Word Document" onmouseover="swapBackgroundImage(this)" onmousedown="location.href='/Cv/ViewCv/<%= Model.PersonalDetail.PersonId %>?word=true'" onmouseout="swapBackgroundImage(this)"></div>
            <div id="pdfLogo" class="floatRight marginB5" title="Click to save your CV to a PDF Document" onmouseover="swapBackgroundImage(this)" onmousedown="location.href='/Cv/ViewCv/<%= Model.PersonalDetail.PersonId %>?pdf=true'" onmouseout="swapBackgroundImage(this)"></div>
            Missing information? If any of your details are missing, it's because the staff at <span class="logoFont">Connections</span> haven't managed to verify them yet. Please check again in a few days and <a href="mailto:enquiries@connections.com" title="Click to send an e-mail to connections.com">contact</a> us if they don't appear.
        </div>
    </div>

</asp:Content>