<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<CvData>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <div class="clear">
        <%if  (Model.PersonReferees.Count > 0) { %>
            <div class="cvTitles">Referees</div>
        <% } %>
        <% foreach (PersonReferee referee in Model.PersonReferees) { %>
            <div class="formColumn marginB15">
                <%= Html.Encode(referee.RefereeFirstName + " " + referee.RefereeLastName) + " (" + referee.Occupation + ")"%><br />
                <%= Html.Encode(referee.RefereeAddressLine1 + ",")%><br />
                <%= Html.Encode((string.IsNullOrEmpty(referee.RefereeAddressLine2) ? string.Empty : referee.RefereeAddressLine2 + ","))%>
                <% if (!string.IsNullOrEmpty(referee.RefereeAddressLine2)) { %><br /><% } %>
                <%= Html.Encode(referee.RefereeTown + ",")%><br />
                <%= Html.Encode(referee.RefereePostCode)%><br />
                <%= Html.Encode(referee.RefereePhone)%><br />
                <a href="mailto:<%= Html.Encode(referee.Email) %>" title="Click to send an e-mail to <%= Html.Encode(referee.RefereeFirstName) %> <%= Html.Encode(referee.RefereeLastName) %>."><%= Html.Encode(referee.Email)%></a><br />
            </div>
        <% } %>
    </div>