<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Contact
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Head" runat="server">
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
	<script type="text/javascript">
	    window.onload = initializeMap;
	</script>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageMenu" runat="server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="centre">
        <div class="panelTop"></div>
        <div class="panelMiddle padLR20">
            <div class="titleLabel">Contact us</div>
            <div class="formColumn marginT10">
                <div id="office1">
                    <h2>London office:</h2>
                    <div class="midTitle">Visit the office</div>
                    <div class="formLabel" style="vertical-align: bottom;">
                        Address:
                    </div>
                    <div class="inline floatLeft marginT5">
                        <span class="logoFont">Connections</span> head office,<br />
                        12 Farringdon Road,<br />
                        Islington,<br />
                        London,<br />
                        EC1M 3IT
                    </div>
                    <div class="midTitle clear marginT20">Call the office</div>
                    <div class="formLabel" style="vertical-align: bottom;">
                        Phone number:
                    </div>
                    <div class="inline floatLeft marginT5">
                        020 7881 2881
                    </div>
                    <div class="midTitle clear marginT20">E-mail the office</div>
                    <div class="formLabel" style="vertical-align: bottom;">
                        E-mail addresses:
                    </div>
                    <div class="inline floatLeft marginT5">
                        <a href="mailto:jeanette@connections.com" title="Click to open an e-mail to jeanette@connections.com.">jeanette@connections.com</a>,<br />
                        <a href="mailto:andrew@connections.com" title="Click to open an e-mail to andrew@connections.com.">andrew@connections.com</a>,<br />
                        <a href="mailto:patrice@connections.com" title="Click to open an e-mail to patrice@connections.com.">patrice@connections.com</a>
                    </div>
                    <div class="clear floatLeft marginT20">
                        Click <a href="javascript:showOffice(2)" title="Click to view our Birmingham office details.">here</a> to view our Birmingham office details.
                    </div>
                </div>
                <div id="office2" class="hidden">
                    <h2>Birmingham office:</h2>
                    <div class="midTitle">Visit the office</div>
                    <div class="formLabel" style="vertical-align: bottom;">
                        Address:
                    </div>
                    <div class="inline floatLeft marginT5">
                        <span class="logoFont">Connections</span>,<br />
                        219 Hill Street,<br />
                        Birmingham,<br />
                        West Midlands,<br />
                        B5 4HW
                    </div>
                    <div class="midTitle clear marginT20">Call the office</div>
                    <div class="formLabel" style="vertical-align: bottom;">
                        Phone number:
                    </div>
                    <div class="inline floatLeft marginT5">
                        0121 643 1134
                    </div>
                    <div class="midTitle clear marginT20">E-mail the office</div>
                    <div class="formLabel" style="vertical-align: bottom;">
                        E-mail addresses:
                    </div>
                    <div class="inline floatLeft marginT5">
                        <a href="mailto:sylvia@connections.com" title="Click to open an e-mail to sylvia@connections.com.">sylvia@connections.com</a>,<br />
                        <a href="mailto:peter@connections.com" title="Click to open an e-mail to peter@connections.com">peter@connections.com</a>
                    </div>
                    <div class="clear floatLeft marginT20">
                        Click <a href="javascript:showOffice(1)" title="Click to view our London office details.">here</a> to view our London office details.
                    </div>
                </div>
            </div>
            <div class="formColumn marginT10">
		        <div id="googleMap">&nbsp;</div>
            </div>
        </div>
        <div class="panelBottom"></div>
    </div>
</asp:Content>