<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="CvTitle" ContentPlaceHolderID="TitleContent" runat="server">
	Connections - CV section
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <% if (ViewData["role"].ToString() == "JobSeeker") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCv/<%= Model %>'" onmouseout="swapBgImage(this)">View CV</div><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='../Cv/Create'" onmouseout="swapBgImage(this)">Add details</div><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='../Cv/Edit/<%= Model %>'" onmouseout="swapBgImage(this)">Edit details</div><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='../Cv/DeleteRecord/<%= Model %>'" onmouseout="swapBgImage(this)">Remove details</div><% } %><% if (ViewData["role"].ToString() == "Admin" || ViewData["role"].ToString() == "JobProvider") { %><div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCvs'" onmouseout="swapBgImage(this)">Search CVs</div><% } %>
        <img src="../../Images/RssLogo.png" class="rssLink inline" alt= "Rss logo" onmouseover="swapImage(this)" onmousedown="javascript:location.href='/Cv/CvRssFeed'" onmouseout="swapImage(this)" />
    </div>
</asp:Content>

<asp:Content ID="CvContent" ContentPlaceHolderID="MainContent" runat="server">
    <div id="centre">
        <div class="panelTop"></div>
        <div class="panelMiddle padLR20">
            <div class="titleLabel">CVs</div>
            <div>
                <img alt="CVs" class="width400 redBorder floatRight" src="../../Images/CVs.png" />
                <div class="width500 floatLeft inline justify">
                    This section of the website allows you to create a CV. After adding your details, the website can automatically generate a CV for you. You can then print it out for job applications.<br /><br />
                    Employers also regularly check CVs online when they are looking for employees, so work can also find you!<br /><br />
                    You can also subscribe to a <span class="logoFont">Connections</span> CV RSS feed to be regularly updated with the latest posted CVs.
                </div>
            </div>
        </div>
        <div class="panelBottom"></div>
    </div>        
</asp:Content>
