﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="CvTitle" ContentPlaceHolderID="TitleContent" runat="server">
	Connections - Job section
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <% if (ViewData["role"].ToString() == "JobProvider") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='../Job/Create'" onmouseout="swapBgImage(this)">Add job</div><% } %><div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='../Job/ViewJobs'" onmouseout="swapBgImage(this)">Search jobs</div>
        <img src="../../Images/RssLogo.png" class="rssLink inline" alt= "Rss logo" onmouseover="swapImage(this)" onmousedown="javascript:location.href='/Job/JobRssFeed'" onmouseout="swapImage(this)" />
    </div>
</asp:Content>

<asp:Content ID="CvContent" ContentPlaceHolderID="MainContent" runat="server">
    <div id="centre">
        <div class="panelTop"></div>        
        <div class="panelMiddle padLR20">
            <div class="titleLabel">Jobs</div>
            <div>
                <img alt="Jobs" class="width400 redBorder floatRight" src="../../Images/Jobs.png" />
                <div class="width500 floatLeft inline justify">
                    This section of the website allows you to view the currently available job positions.<br /><br />
                    You can search the available job positions by your preferred industry sector, ensuring you canfind the jobs you're after quickly.<br /><br />
                    You can also subscribe to a <span class="logoFont">Connections</span> jobs RSS feed to be regularly updated with the latest job positions.
                </div>
            </div>
        </div>                
        <div class="panelBottom"></div>
    </div>
</asp:Content>