<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<RecruitmentAgency.Models.DataTypes.JobProvider>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Connections - Edit job provider
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/JobProvider/ViewCompany/<%= Model.JobProviderId %>'" onmouseout="swapBgImage(this)">View provider</div><% if (ViewData["role"].ToString() == "Admin") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/JobProvider/Delete/<%= Model.JobProviderId %>'" onmouseout="swapBgImage(this)">Delete provider</div><% } %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/JobProvider/ViewCompanies'" onmouseout="swapBgImage(this)">Search providers</div>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% using (Html.BeginForm()) {%>
        <div class="panelTop"></div>
        <div id="personal" class="padLR20">
            <div class="titleLabel">Edit job provider</div>
            <%= Html.ValidationMessage("actionResult")%>                
            <div class="formColumn">                                                
                <div class="formLabel">
                    <label for="CompanyName">Company Name:</label>
                </div>
                <%= Html.TextBox("CompanyName")%>
                <%= Html.ValidationMessage("CompanyName")%>
                <div class="formLabel">
                    <label for="RegistrationNumber">Registration Number:</label>
                </div>
                <%= Html.TextBox("RegistrationNumber")%>
                <%= Html.ValidationMessage("RegistrationNumber")%>
                
                <div class="formLabel">
                    <label for="Email">Email:</label>
                </div>                    
                <%= Html.TextBox("Email")%>
                <%= Html.ValidationMessage("Email")%>                                                                                 
                 <div class="formLabel">
                    <label for="Title">Title:</label>
                </div>
                <%=Html.DropDownList("Title", (SelectList)ViewData["titles"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("Title")%>
                <div class="formLabel">
                    <label for="FirstName">FirstName:</label>
                </div>
                <%= Html.TextBox("FirstName")%>
                <%= Html.ValidationMessage("FirstName")%>                    
                <div class="formLabel">
                    <label for="LastName">LastName:</label>
                </div>
                <%= Html.TextBox("LastName")%>
                <%= Html.ValidationMessage("LastName")%>
                 <div class="formLabel">
                    <label for="Phone">Phone:</label>
                </div>
                <%= Html.TextBox("Phone")%>
                <%= Html.ValidationMessage("Phone")%>   
            </div>
            <div class="formColumn">                   
               <div class="formLabel">
                    <label for="UserName">UserName:</label>
                </div>
                <%= Html.TextBox("UserName")%>
                <%= Html.ValidationMessage("UserName")%>                                      
                <div class="formLabel">
                    <label for="PostCode">AddressLine1:</label>
                </div>
                <%= Html.TextBox("AddressLine1")%>
                <%= Html.ValidationMessage("AddressLine1")%>
                <div class="formLabel">
                    <label for="AddressLine2">AddressLine2:</label>
                </div>
                <%= Html.TextBox("Email1") %>
                <%= Html.ValidationMessage("AddressLine2")%>
                <div class="formLabel">
                    <label for="Town">Town:</label>
                </div>
                <%= Html.TextBox("Town")%>
                <%= Html.ValidationMessage("Town")%>
                <div class="formLabel">
                    <label for="PostCode">PostCode:</label>
                </div>
                <%= Html.TextBox("PostCode")%>
                <%= Html.ValidationMessage("PostCode")%> 
                 <div class="formLabel">
                    <label for="WebsiteUrl">WebsiteUrl:</label>
                </div>
                <%= Html.TextBox("WebsiteUrl")%>
                <%= Html.ValidationMessage("WebsiteUrl")%>   
                <div class="formLabel">
                    <label for="Sector">Sector:</label>
                </div>
                <%= Html.DropDownList("Sector", (SelectList)ViewData["sectors"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("Sector")%>                    
                <input name="editJobProviderdetails5" class="formButton" id="editJobProviderdetails" type="submit" value="Save changes" />
            </div>
        </div>
        <div class="panelBottom"></div>
    <% } %>
</asp:Content>