﻿
namespace RecruitmentAgency.Models.DataProviders
{
    /// <summary>
    /// The RecruitmentAgency.Controllers.BaseDataProvider provides methods and properties useful to all Data Providers classes in the RecruitmentAgency web site
    /// </summary>
    public class BaseDataProvider
    {
        /// <summary>
        /// Gets an instance of the ExceptionDataProvider
        /// </summary>
        public ExceptionDataProvider DataProvider
        {
            get { return new ExceptionDataProvider(); }
                         
        }
        
        /// <summary>
        /// Gets an instance of the RecruitmentDatabaseDataContext
        /// </summary>
        public RecruitmentDatabaseDataContext DataContext
        {
            get
            {
                return new RecruitmentDatabaseDataContext();
            }
        }
    }
}
