﻿namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.DataTypes.LoginData contains all the relevant details required by the three forms on the Log In page
    /// </summary>
    public class LoginData
    {
        /// <summary>
        /// Gets or sets the Login of the LoginData
        /// </summary>
        public Login Login { get; set; }

        /// <summary>
        /// Gets or sets the Register of the LoginData
        /// </summary>
        public Register Register { get; set; }

        /// <summary>
        /// Gets or sets the RegisterJobProvider of the LoginData
        /// </summary>
        public RegisterJobProvider RegisterJobProvider { get; set; }
    }
}