<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonEmployment>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
     <script type="text/javascript">
            $(document).ready(function() {
            $("#StartDate").datepicker({ changeMonth: true, changeYear: true });
            $("#EndDate").datepicker({ changeMonth: true, changeYear: true });    
            }); 
    </script>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, EmploymentId = Model.EmploymentId })) {%>
        <fieldset>
            <div class="panelTop"></div>
            <div id="jobs" class="padLR20">
                <div class="titleLabel">Delete employment record</div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="CompanyName">Company name:</label>
                    </div>
                    <%= Html.TextBox("CompanyName") %>
                    <div class="formLabel">
                        <label for="IndustrySector">Market sector:</label>
                    </div>
                    <%= Html.TextBox("IndustrySector")%>
                    <div class="formLabel">
                        <label for="JobTitle">Job title:</label>
                    </div>
                    <%= Html.TextBox("JobTitle") %>
                    <div class="formLabel">
                        <label for="StartDate">Start date:</label>
                    </div>
                    <%= Html.TextBox("StartDate") %>
                    <div class="formLabel">
                        <label for="EndDate">End date:</label>
                    </div>
                    <%= Html.TextBox("EndDate")%>
                </div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="KeyDuties">Job description:</label>
                    </div>
                    <%= Html.TextArea("KeyDuties", new { @class = "jobDescriptionBox marginT5" })%><br />
                    <input name="EditJobButton" class="formButton" id="EditJobButton" type="submit" value="Delete selected employment record" />
                </div>
                <div class="formLabel clear">
                    <label for="JobList">Employment record:</label>
                </div>
                <select name="JobList" id="JobList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/cv/deleterecord/<%= Model.PersonId %>?employmentId=' + this.options[this.selectedIndex].value"> 
                    <% foreach(PersonEmployment employment in (List<PersonEmployment>)ViewData["employments"]) { %>
                        <% if (employment.EmploymentId == Model.EmploymentId) { %>
                            <option selected="selected" value="<%= employment.EmploymentId %>"><%= employment.ToShortString() %></option>
                        <% } else { %> 
                            <option value="<%= employment.EmploymentId %>"><%= employment.ToShortString() %></option>
                        <% } %> 
                    <% } %> 
                </select> 
            </div>
            <div class="panelBottom"></div>
        </fieldset>
    <% } %>