<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<CvData>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Edit
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCv/<%= Model.CurrentUserId %>'" onmouseout="swapBgImage(this)">View CV</div><% if (ViewData["role"] == "JobSeeker") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/Create'" onmouseout="swapBgImage(this)">Add details</div><% } %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/DeleteRecord/<%= Model.CurrentUserId %>'" onmouseout="swapBgImage(this)">Remove details</div><% if (ViewData["role"].ToString() == "Admin" || ViewData["role"].ToString() == "JobProvider") { %><div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Cv/ViewCvs'" onmouseout="swapBgImage(this)">Search CVs</div><% } %>
        <img src="../../Images/RssLogo.png" class="rssLink inline" alt= "Rss logo" onmouseover="swapImage(this)" onmousedown="javascript:location.href='/Cv/CvRssFeed'" onmouseout="swapImage(this)" />
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="cvForm">
        <% Html.RenderPartial("EditPersonalDetails", Model.PersonalDetail, ViewData); %>
        <% Html.RenderPartial("EditPersonQualifications", Model.PersonQualification, ViewData); %>
        <% Html.RenderPartial("EditPersonEmployment", Model.PersonEmployment, ViewData); %>
        <% Html.RenderPartial("EditPersonSkills", Model.PersonSkill, ViewData); %>
        <% Html.RenderPartial("EditPersonReferee", Model.PersonReferee, ViewData);%>
    </div>
</asp:Content>