<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonalDetail>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% if (!string.IsNullOrEmpty(Model.PhotoUrl)) { %>
        <div class="floatLeft inline">
            <img id="personPhoto" alt="User's photo" src="<%= Model.PhotoUrl %>" />
        </div>
    <% } %>
    <div class="inline">
        <h1 class="centre">
            <%= Html.Encode(Model.FirstName) %><%= Html.Encode((string.IsNullOrEmpty(Model.MiddleNames) ? string.Empty : " " + Model.MiddleNames))%> <%= Html.Encode(Model.LastName) %>
        </h1>
        <h4 class="centre">
            <% if (!string.IsNullOrEmpty(Model.AddressLine1)) { %>
                <%= Html.Encode(Model.AddressLine1)%>, 
            <% } %>
            <% if (!string.IsNullOrEmpty(Model.AddressLine2)) { %>
                <%= Html.Encode(Model.AddressLine2 )%>, 
            <% } %>
            <% if (!string.IsNullOrEmpty(Model.Town)) { %>
                <%= Html.Encode(Model.Town)%>, 
            <% } %>
            <% if (!string.IsNullOrEmpty(Model.PostCode)) { %>
                <%= Html.Encode(Model.PostCode)%>
            <% } %>
            <br />
            <%= Html.Encode(Model.HomePhone)%>
            <% if (!string.IsNullOrEmpty(Model.HomePhone) && !string.IsNullOrEmpty(Model.MobilePhone)) { %>
                /
            <% } %>
            <%= Html.Encode(Model.MobilePhone)%>
            <br />
            <a href="mailto:<%= Html.Encode(Model.Email1) %>" title="Click to send an e-mail to <%= Html.Encode(Model.FirstName) %> <%= Html.Encode(Model.LastName) %>."><%= Html.Encode(Model.Email1)%></a>
            <% if (!string.IsNullOrEmpty(Model.Email1) && !string.IsNullOrEmpty(Model.Email2)) { %>
                /
            <% } %>
            <a href="mailto:<%= Html.Encode(Model.Email2) %>" title="Click to send an e-mail to <%= Html.Encode(Model.FirstName) %> <%= Html.Encode(Model.LastName) %>."><%= Html.Encode(Model.Email2)%></a><br />
            <% if  (!string.IsNullOrEmpty(Model.WebsiteUrl))  { %>
                <a href="http://www.<%= Html.Encode(Model.WebsiteUrl) %>" title="Click to go to <%= Html.Encode(Model.FirstName) %> <%= Html.Encode(Model.LastName) %>'s website."><%= Html.Encode("www." + Model.WebsiteUrl)%></a> 
            <% } %><br />
            <%= Html.Encode(Model.DateOfBirth) %>
        </h4>
    </div>