﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="headContent" ContentPlaceHolderID="Head" runat="server">
<script src="../../Scripts/ImageSlider.js" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function() {
        $('#slider1').s3Slider({
            timeOut: 4000
        });
    });
</script>
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <div id="cv">
        <div class="panelTop"></div>
        <div class="panelMiddle padLR20">
            <div class="titleLabel">Welcome</div>
            Welcome to the <span class="logoFont">Connections</span> recruitment agency.
            <div class="divContainer justify"> 
                <div id="topHalf" class="floatLeft">
                    <div class="marginT8 floatLeft pointer" title="Click to go to the CVs section of the website." onmousedown="javascript:location.href='/Home/Cvs'">
                        <img alt="" id="cvImage" src="../../Images/CV.png" onmouseover="highlightBorder(this)" onmouseout="normalBorder(this)" />
                    </div>
                    <div class="width570 floatRight marginL10">
                        <div class="shortTitleLabel marginT5">CVs</div>
                        <div class="clear">
                            <b>Job seekers:</b> You can build a CV online using <span class="logoFont">Connections</span>' easy to use CV form and export it in either Microsoft Word or PDF formats. You can also select a job preference and prospective employers may even contact you regarding employment. You must have a <b>Job Seeker</b> account and be logged in to use this functionality.<br /><br />
                            <b>Job providers:</b> You can view all of the online CVs to find prospective new employers. With thousands of job seekers already registered at <span class="logoFont">Connections</span>, you're bound to find suitable applicants fast. You must have a <b>Job Provider</b> account and be logged in to use this functionality.
                        </div>
                    </div>
                </div> 
                <div class="clear width400 marginT10 floatLeft">
                    <div class="shortTitleLabel">Job positions</div>
                    <b>Job seekers:</b> You can search through all of the job positions available on the <span class="logoFont">Connections</span> website. On the Search Jobs page, you can search for jobs within a particular industry sector, so you can easily find the jobs that are interested in. You must have a <b>Job Seeker</b> account and be logged in to use this functionality.<br /><br />
                    <b>Job providers:</b> You can add job positions that you have available in your company at the moment. With thousands of job seekers already registered at <span class="logoFont">Connections</span>, you're bound to get lots of applications. You must have a <b>Job Provider</b> account and be logged in to use this functionality.
                </div>
                <div class="imageSlider">
                    <% Html.RenderPartial("ImageSlider"); %>
                </div>
            </div>
        </div>
        <div class="panelBottom"></div>
    </div>
</asp:Content>