<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Job>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
<asp:Content ID="head" ContentPlaceHolderID="Head" runat="server">
<script type="text/javascript">
    $(document).ready(function() {
        $("#ClosingDate").datepicker({ dateFormat: 'd MM yy', changeMonth: true, changeYear: true });
    }); 
</script> 
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Job/ViewJobs'" onmouseout="swapBgImage(this)">Search jobs</div>
        <img src="../../Images/RssLogo.png" class="rssLink inline" alt= "Rss logo" onmouseover="swapImage(this)" onmousedown="javascript:location.href='/Job/JobRssFeed'" onmouseout="swapImage(this)" />
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Connections - Add job details
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% using (Html.BeginForm()) {%>
        <div class="panelTop"></div>
        <div id="panelMiddle" class="padLR20">
            <div class="titleLabel">Add job details</div>
            <div class="formColumn">                                               
                <div class="formLabel">
                    <label for="JobTitle">Job title:</label>
                </div>
                <%= Html.TextBox("JobTitle")%>
                <%= Html.ValidationMessage("JobTitle")%>                   
            </div>
            <div class="formColumn">                                               
                <div class="formLabel">
                    <label for="JobSector">Job sector:</label>
                </div>
                <%= Html.DropDownList("JobSector", (SelectList)ViewData["sectors"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("JobSector")%>                   
            </div>
            <div class="formLabel">
                <label for="JobDescription">Job description:</label>
            </div>
            <%= Html.TextArea("JobDescription", new { @class = "jobDescriptionBoxWide marginT5" })%><br />
            <%= Html.ValidationMessage("JobDescription")%>
            <div class="formColumn">  
                <div class="formLabel">
                    <label for="ClosingDate">Closing date:</label>
                </div>
                <%= Html.TextBox("ClosingDate")%>
                <%= Html.ValidationMessage("ClosingDate")%>  
            </div>
            <div class="formColumn">  
                <input name="addJobDetailsButton" class="formButton" id="addJobDetailsButton" type="submit" value="Add Job" />
            </div>
        </div>
        <div class="panelBottom"></div>
    <% } %>
</asp:Content>