<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Job>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Connections - View job position
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <% if (ViewData["role"].ToString() == "JobProvider") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Job/Create'" onmouseout="swapBgImage(this)">Add job</div><% } %><% if (ViewData["role"].ToString() == "JobProvider" || ViewData["role"].ToString() == "Admin") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Job/Edit/<%= Model.JobId %>'" onmouseout="swapBgImage(this)">Edit job</div><% } %><% if (ViewData["role"].ToString() == "Admin") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Job/Delete/<%= Model.JobId %>'" onmouseout="swapBgImage(this)">Delete job</div><% } %><div class="subMenuButton rightEnd" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/Job/ViewJobs'" onmouseout="swapBgImage(this)">Search jobs</div>
        <img src="../../Images/RssLogo.png" class="rssLink inline" alt= "Rss logo" onmouseover="swapImage(this)" onmousedown="javascript:location.href='/Job/JobRssFeed'" onmouseout="swapImage(this)" />
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="centre">
       <div class="panelTop"></div>
        <div id="panelMiddle" class="padLR20">
            <div class="titleLabel">View job position</div>
            <br />
            <br />
            <h3><%= Html.Encode(Model.JobTitle) %></h3>
            <h5><%= Html.Encode(Model.JobSector) %> sector</h5>
            <div class="justify"><%= Html.Encode(Model.JobDescription) %></div>
            <h5 class="marginT10">Job offered by <a href="/JobProvider/ViewCompany/<%= Html.Encode(Model.JobProviderId)%>" title="Click to see the company details"><%= Html.Encode(Model.JobProviderName)%></a></h5>
            <div id="dates" class="marginT10">
                <div class="floatLeft">Created on: <%= Html.Encode(Model.JobCreated)%></div>
                <div class="floatRight">Closing date: <%= Html.Encode(Model.ClosingDate)%></div>
            </div>
        </div>
        <div class="panelBottom"></div>
    </div>
</asp:Content>