<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<RecruitmentAgency.Models.DataTypes.JobProvider>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Connections - View job provider
</asp:Content>

<asp:Content ID="MenuLinks" ContentPlaceHolderID="PageMenu" runat="server">
    <div class="centre">
        <% if (ViewData["role"].ToString() == "Admin") { %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/JobProvider/Edit/<%= Model.JobProviderId %>'" onmouseout="swapBgImage(this)">Edit provider</div><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/JobProvider/Delete/<%= Model.JobProviderId %>'" onmouseout="swapBgImage(this)">Delete provider</div><% } %><div class="subMenuButton" onmouseover="swapBgImage(this)" onclick="javascript:location.href='/JobProvider/ViewCompanies'" onmouseout="swapBgImage(this)">Search providers</div>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="centre">
       <div class="panelTop"></div>
        <div id="panelMiddle" class="padLR20">
            <div class="titleLabel">View job provider</div>
            <h3 class="marginT10 floatLeft"><%= Html.Encode(Model.CompanyName) %></h3>
            <h5 class="providerDetails clear"><%= Html.Encode(Model.Sector) %> sector</h5>
            <div class="formColumn">
                <div class="formLabel" style="vertical-align: bottom;">
                    Address:
                </div>
                <div class="inline floatLeft marginT5">
                    <div class="clear"><%= Html.Encode(Model.AddressLine1) %>,</div>
                    <% if (!string.IsNullOrEmpty(Model.AddressLine2)) { %>
                        <div class="clear"><%= Html.Encode(Model.AddressLine2) %>,</div>
                    <% } %>
                    <div class="clear"><%= Html.Encode(Model.Town) %>,</div>
                    <div class="clear"><%= Html.Encode(Model.PostCode) %></div>
                </div>
                <div class="formLabel clear" style="vertical-align: bottom;">
                    Registration number:
                </div>
                <div class="inline floatLeft marginT5">
                    <%= Html.Encode(Model.RegistrationNumber)%>
                </div>
                <div class="formLabel clear" style="vertical-align: bottom;">
                    Website:
                </div>
                <div class="inline floatLeft marginT5">
                    <a href="http://www.<%= Html.Encode(Model.WebsiteUrl) %>" title="Click to go to <%= Html.Encode(Model.CompanyName) %>'s website.">www.<%= Html.Encode(Model.WebsiteUrl)%></a>
                </div>
            </div>
            <div class="formColumn">
                <div class="formLabel" style="vertical-align: bottom;">
                    Contact name:
                </div>
                <div class="inline floatLeft marginT5">
                    <%= Html.Encode(Model.FirstName) %> <%= Html.Encode(Model.LastName) %>
                </div>
                <div class="formLabel clear" style="vertical-align: bottom;">
                    Contact number:
                </div>
                <div class="inline floatLeft marginT5">
                    <%= Html.Encode(Model.Phone) %>
                </div>
                <div class="formLabel clear" style="vertical-align: bottom;">
                    Contact e-mail:
                </div>
                <div class="inline floatLeft marginT5">
                    <a href="mailto:<%= Html.Encode(Model.Email) %>" title="Click to send an e-mail to <%= Html.Encode(Model.FirstName) %> <%= Html.Encode(Model.LastName) %>."><%= Html.Encode(Model.Email)%></a>
                </div>
            </div>
        </div>
        <div class="panelBottom"></div>
    </div>
</asp:Content>